html {
    /* Start product media */
    .product-media {
        filter: brightness(98%);
    }
    /* End product media */

    /* Start filters */
    .facets__status-wrapper,
    .facets__filters-wrapper,
    .price-facet__separator {
        font-size: .875rem;
        color: #000;
    }

    .facets--filters-title {
        display: none;
    }

    .facets__label {
        font-size: .875rem;
        font-weight: 700;
    }

    .facets__clear-all {
        font-size: .875rem;
    }

    .facets__inputs-list {
        &[name="Afwerking"] {
            flex-direction: row;
            gap: 0;
        }

        .checkbox {
            &:has(input[value="Rhodium Plated"]),
            &:has(input[value="Gold Plated"]),
            &:has(input[value="Plaqué Rhodium"]),
            &:has(input[value="Plaqué Or"]),
            &:has(input[value="Rhodiniert"]),
            &:has(input[value="Vergoldet"]) {
                svg {
                    display: none;
                }

                .checkbox__label-text {
                    font-size: 0;
                    line-height: 0;
                    width: 2rem;
                    height: 2rem;
                    padding: 0;
                    flex: 0 0 2rem;
                    min-width: 0;
                    min-height: 0;
                    border-radius: 50%;
                    background: none;
                    border: 0;
                    outline: var(--focus-outline-width) solid transparent;
                    outline-offset: var(--focus-outline-offset);

                    &:hover {
                        background: none;
                        outline: var(--focus-outline-width) solid rgba(from var(--color-foreground) r g b / var(--opacity-35-55));
                    }

                    &:after {
                        content: '';
                        display: block;
                        width: 100%;
                        height: 100%;
                        border-radius: 50%;
                    }
                }
            }

            &:has(input[value="Gold Plated"]),
            &:has(input[value="Plaqué Or"]),
            &:has(input[value="Vergoldet"]) {
                &:has(input[checked]) .checkbox__label-text {
                    outline: 0.09375rem solid #f2d19f;
                    outline-offset: 0.2rem;
                }
                
                .checkbox__label-text:after {
                    background: #f2d19f;
                }
            }

            &:has(input[value="Rhodium Plated"]),
            &:has(input[value="Plaqué Rhodium"]),
            &:has(input[value="Rhodiniert"]) {
                &:has(input[checked]) .checkbox__label-text {
                    outline: 0.09375rem solid #d2d2d2;
                    outline-offset: 0.2rem;
                }
                
                .checkbox__label-text:after {
                    background: #d2d2d2;
                }
            }
        }
    }
    /* End filters */

    /* Start category description */
    .category-description {
        display: -webkit-box;
        overflow: hidden;
        text-overflow: ellipsis;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        text-align: center;
        margin-block: max(24px, calc(var(--gap-scale, 1.0) * 36px));

        &[aria-expanded="true"] {
            display: block;
        }

        p {
            display: contents;

            &:after {
                content: '';
                display: block;
                height: .85rem;
            }
        }
    }

    .category-description-toggle-container {
        text-align: center;
    }

    .category-description-toggle-button {
        cursor: pointer;
        background: none;
        border: 0;
        color: var(--color-primary);
        text-transform: uppercase;
        text-decoration: underline;
        cursor: pointer;
        margin-bottom: max(24px, calc(var(--gap-scale, 1.0) * 36px));

        &:hover {
            color: var(--color-primary-hover);
            text-decoration: none;
        }
    }

    .category-description-buttons-container {
        overflow: auto;
        scroll-snap-type: x mandatory;
    }

    .category-description-buttons {
        display: flex;
        flex-flow: row nowrap;
        justify-content: center;
        align-items: center;
        gap: 1rem;
        width: max-content;
        margin-bottom: 2rem;
        margin-inline: auto;

        @media screen and (min-width: 750px) {
            flex-flow: row wrap;
            width: auto;
        }

        .button {
            flex-shrink: 0;
            scroll-snap-align: start;

            @media screen and (max-width: 767px) {
                padding: 12px 9px;
                font-size: 9px;
            }
        }
    }
    /* End category description */

    /* Start search */
    .search-page__header {
        padding-top: 0;
    }
    /* End search */
}